Author Topic: Compiz 0.9 series package available  (Read 46121 times)

0 Members and 1 Guest are viewing this topic.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #135 on: 18. December 2014, 15:33:29 »
Run:
Code: [Select]
dconf-editornavigate to:
org.gnome.desktop.wm.preferences

Does a key exist called "titlebar-font"?
If so, what is it's value?

Does a key exist called "titlebar-uses-system-font"?
Is it on or off?
"titlebar-font" exist and it's value is "Cantarell Bold 11".
"titlebar-uses-system-font" also exist and it's on.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #136 on: 18. December 2014, 15:35:15 »
Do you have the Cantarell fonts installed?

If not, try changing it to some font you do have installed.

Or alternately, just install cantarell-fonts package.


EDIT: it's weird though because the "titlebar-uses-system-font" should deal with it anyway...
« Last Edit: 18. December 2014, 15:36:52 by Rob »

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #137 on: 18. December 2014, 15:37:19 »
Do you have the Cantarell fonts installed?

If not, try changing it to some font you do have installed.

Or alternately, just install cantarell-fonts package.


EDIT: it's weird though because the "titlebar-uses-system-font" should deal with it anyway...
Yep, they are installed.

EDIT: I saw description under "titlebar-uses-system-font" - really don't know what causing this problem...  :'(
« Last Edit: 18. December 2014, 15:44:40 by trzalica »

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #138 on: 18. December 2014, 15:47:06 »
Yeah i dont know...

Mind posting me your
Code: [Select]
pacman -Qmoutput?

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #139 on: 18. December 2014, 15:48:02 »
When you went to unstable branch, you did update your system right? not just installed compiz-manjaro...?

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #140 on: 18. December 2014, 15:50:49 »
Yeah i dont know...

Mind posting me your
Code: [Select]
pacman -Qmoutput?
No problem, check your inbox!

EDIT: Yes, I run
Code: [Select]
sudo pacman-mirrors -g -b unstable
and then
Code: [Select]
sudo pacman -SyyuAnd then I reinstalled compiz-manjaro (because it was already installed from AUR).
« Last Edit: 18. December 2014, 15:53:13 by trzalica »

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #141 on: 18. December 2014, 15:58:10 »
Hmm wonder if those Ubuntu font packages have anything to do with it...

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #142 on: 18. December 2014, 15:59:49 »
Hmm wonder if those Ubuntu font packages have anything to do with it...
Don't know, with metacity2 everything worked...

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #143 on: 18. December 2014, 16:12:05 »
Don't know, with metacity2 everything worked...

For the time being i'll make a compiz-manjaro-lts package that continues to track the 0.9.11 series (which is the Ubuntu 14.04 LTS series, so should get fixes) and uses metacity2.
« Last Edit: 19. December 2014, 13:28:06 by Rob »

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #144 on: 18. December 2014, 16:18:58 »
For the time being i'll make a compiz-manjaro-lts package that continues to track the 0.9.11 series (which is the Ubuntu 14.04 LTS series, so should get fixes) and uses metacity2.
Ok, I will downgrade compiz now. Will you incorporate nVidia fix into that lts version? I'm asking you that because I will again deselect "Allow flipping" option in nVidia settings if you will not put that fix into the package.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #145 on: 18. December 2014, 16:24:34 »
Ok, I will downgrade compiz now. Will you incorporate nVidia fix into that lts version? I'm asking you that because I will again deselect "Allow flipping" option in nVidia settings if you will not put that fix into the package.

Here:
http://www.paradoxcomputers.com.au/manjaro/packages/compiz-nvidia-refresh-test/compiz-manjaro-lts-0.9.11.2-1.1.src.tar.gz

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #148 on: 18. December 2014, 17:11:17 »
It works!! :)
Thank you once again Rob for your help and time!!!!

No probs.

You probably want to change the pkgname to something else, like compiz-manjaro-lts-nvidiafix, and rebuild the package so it won't be replaced when i next update compiz-manjaro-lts.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #149 on: 18. December 2014, 17:20:20 »
No probs.

You probably want to change the pkgname to something else, like compiz-manjaro-lts-nvidiafix, and rebuild the package so it won't be replaced when i next update compiz-manjaro-lts.
Ok, I will! :)